Schedule collection
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/{id}/schedule \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10000,
"due_date": "2026-07-02T19:00:15.094120Z",
"external_id": "019a0be5-d593-7b33-161a-7611b3820a76"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/{id}/schedule"
payload = {
"amount": 10000,
"due_date": "2026-07-02T19:00:15.094120Z",
"external_id": "019a0be5-d593-7b33-161a-7611b3820a76"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 10000,
due_date: '2026-07-02T19:00:15.094120Z',
external_id: '019a0be5-d593-7b33-161a-7611b3820a76'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/{id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"No Content"{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Recurrences (Pix)
Schedule Collection
Schedule collection
POST
/
banking
/
cashin
/
pix
/
recurrences
/
collections
/
{id}
/
schedule
Schedule collection
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Collection ID Unique identifier
Body
application/json
The collection schedule attributes
Response
No Content
The response is of type string<string>.
Example:
"No Content"
⌘I

